gnutls_x509_crt_get_authority_key_id(3)

NAME
gnutls_x509_crt_get_authority_key_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_authority_key_id(gnutls_x509_crt_t cert, void * id, size_t * id_size, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

void * id
    The place where the identifier will be copied

size_t * id_size
    Holds the size of the id field.

unsigned int * critical
    will be non-zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the X.509v3 certificate authority's key identifier. This is obtained by the X.509 Authority Key identifier extension field (2.5.29.35). Note that this function only returns the keyIdentifier field of the extension and GNUTLS_E_X509_UNSUPPORTED_EXTENSION, if the extension contains the name and serial number of the certificate. In that case gnutls_x509_crt_get_authority_key_gn_serial() may be used.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/